Subject: [bug#76036] [PATCH] gnu: flatpak: Update to 1.16.0.

From: Rodion Goritskov <[email-masked]>
Date: Tue, 11 Feb 2025 00:20:49 +0100

Hello!

I tried running the updated version.
Good news - it builds fine!

Also tried running flatpak version of Firefox - works fine.
Webpages are loaded, WebRTC functionality (and screensharing) also work.

However, I have a problem with Bottles (com.usebottles.bottles).
On startup I can see the following errors in logs.

> 00:06:15 (WARNING) Connection status: offline …

Also, all menus that require network connection are disabled (i.e. I
cannot download any runners).
It works fine on the current flatpak from master.

I found some old bug with the similar problem [1]. Looks like it has
something to do with SSL cert paths (as per [2]).

Will try to investigate more if I have time later this week.

1 - https://github.com/bottlesdevs/Bottles/issues/2057
2 - https://github.com/bottlesdevs/Bottles/issues/2057#issuecomment-1312596839